/* config_host/config_oauth2.h.  Generated from config_oauth2.h.in by configure.  */
/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 */

#ifndef CONFIG_OAUTH2_H
#define CONFIG_OAUTH2_H


/* Google Drive settings */
#define GDRIVE_BASE_URL "https://www.googleapis.com/drive/v3"
#define GDRIVE_CLIENT_ID ""
#define GDRIVE_CLIENT_SECRET ""
#define GDRIVE_AUTH_URL "https://accounts.google.com/o/oauth2/v2/auth"
#define GDRIVE_TOKEN_URL "https://oauth2.googleapis.com/token"
#define GDRIVE_REDIRECT_URI "urn:ietf:wg:oauth:2.0:oob"
#define GDRIVE_SCOPE "https://www.googleapis.com/auth/drive.file"


/* Alfresco Cloud */
#define ALFRESCO_CLOUD_BASE_URL "https://api.alfresco.com/"
#define ALFRESCO_CLOUD_CLIENT_ID ""
#define ALFRESCO_CLOUD_CLIENT_SECRET ""
#define ALFRESCO_CLOUD_AUTH_URL "https://api.alfresco.com/auth/oauth/versions/2/authorize"
#define ALFRESCO_CLOUD_TOKEN_URL "https://api.alfresco.com/auth/oauth/versions/2/token"
#define ALFRESCO_CLOUD_REDIRECT_URI "http://127.0.0.1/Callback"
#define ALFRESCO_CLOUD_SCOPE "public_api"


/* OneDrive */
#define ONEDRIVE_BASE_URL "https://graph.microsoft.com/v1.0"
#define ONEDRIVE_CLIENT_ID ""
#define ONEDRIVE_CLIENT_SECRET ""
#define ONEDRIVE_AUTH_URL "https://login.microsoftonline.com/common/oauth2/v2.0/authorize"
#define ONEDRIVE_TOKEN_URL "https://login.microsoftonline.com/common/oauth2/v2.0/token"
#define ONEDRIVE_REDIRECT_URI "http://localhost/LibreOffice"
#define ONEDRIVE_SCOPE "Files.ReadWrite offline_access"

#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
