/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#pragma once

// property ids

#define PROPERTY_ID_TITLE                   1
#define PROPERTY_ID_URL                     2
#define PROPERTY_ID_INFO                    4
#define PROPERTY_ID_ISPASSWORDREQUIRED      5
#define PROPERTY_ID_TABLEFILTER             6
#define PROPERTY_ID_NAME                    7
#define PROPERTY_ID_SCHEMANAME              8
#define PROPERTY_ID_CATALOGNAME             9
#define PROPERTY_ID_PRIVILEGES              10
#define PROPERTY_ID_ESCAPE_PROCESSING   11
#define PROPERTY_ID_COMMAND                 12
#define PROPERTY_ID_TYPE                    13
#define PROPERTY_ID_TYPENAME                14
#define PROPERTY_ID_PRECISION               15
#define PROPERTY_ID_SCALE                   16
#define PROPERTY_ID_ISNULLABLE              17
#define PROPERTY_ID_ISAUTOINCREMENT         18
#define PROPERTY_ID_ISROWVERSION            19
#define PROPERTY_ID_DESCRIPTION             20
#define PROPERTY_ID_DEFAULTVALUE            21
#define PROPERTY_ID_NUMBERFORMAT            22
#define PROPERTY_ID_QUERYTIMEOUT            23
#define PROPERTY_ID_MAXFIELDSIZE            24
#define PROPERTY_ID_MAXROWS                 25
#define PROPERTY_ID_CURSORNAME              26
#define PROPERTY_ID_RESULTSETCONCURRENCY    27
#define PROPERTY_ID_RESULTSETTYPE           28
#define PROPERTY_ID_FETCHDIRECTION          29
#define PROPERTY_ID_FETCHSIZE               30
#define PROPERTY_ID_USEBOOKMARKS            31
#define PROPERTY_ID_ISSEARCHABLE            32
#define PROPERTY_ID_ISCURRENCY              33
#define PROPERTY_ID_ISSIGNED                34
#define PROPERTY_ID_DISPLAYSIZE             35
#define PROPERTY_ID_LABEL                   36
#define PROPERTY_ID_ISREADONLY              37
#define PROPERTY_ID_ISWRITABLE              38
#define PROPERTY_ID_ISDEFINITELYWRITABLE    39
#define PROPERTY_ID_VALUE                   40
#define PROPERTY_ID_TABLENAME               41
#define PROPERTY_ID_ISCASESENSITIVE         42
#define PROPERTY_ID_SERVICENAME             43
#define PROPERTY_ID_ISBOOKMARKABLE          44
#define PROPERTY_ID_CANUPDATEINSERTEDROWS   45
#define PROPERTY_ID_ISSET                   46
#define PROPERTY_ID_ISOUTPARAMETER          47
#define PROPERTY_ID_NUMBERFORMATSSUPPLIER   48
#define PROPERTY_ID_ISCALCULATED            49
#define PROPERTY_ID_DATASOURCENAME          50
#define PROPERTY_ID_TRANSACTIONISOLATION    51
#define PROPERTY_ID_TYPEMAP                 52
#define PROPERTY_ID_USER                    53
#define PROPERTY_ID_PASSWORD                54
#define PROPERTY_ID_COMMAND_TYPE            55
#define PROPERTY_ID_ACTIVECOMMAND           56
#define PROPERTY_ID_ACTIVE_CONNECTION       57
#define PROPERTY_ID_FILTER                  58
#define PROPERTY_ID_APPLYFILTER             59
#define PROPERTY_ID_ORDER                   60
#define PROPERTY_ID_ISMODIFIED              61
#define PROPERTY_ID_ISNEW                   62
#define PROPERTY_ID_ROWCOUNT                63
#define PROPERTY_ID_ISROWCOUNTFINAL         64
#define PROPERTY_ID_HELPFILENAME            65
#define PROPERTY_ID_REALNAME                66
#define PROPERTY_ID_HIDDEN                  67
#define PROPERTY_ID_ALIGN                   68
#define PROPERTY_ID_WIDTH                   69
#define PROPERTY_ID_TABLETYPEFILTER         70
#define PROPERTY_ID_DATABASE_LOCATION       71
#define PROPERTY_ID_FONT                    72
#define PROPERTY_ID_ROW_HEIGHT              73
#define PROPERTY_ID_TEXTCOLOR               74
#define PROPERTY_ID_UPDATE_TABLENAME        75
#define PROPERTY_ID_UPDATE_SCHEMANAME       76
#define PROPERTY_ID_UPDATE_CATALOGNAME      77
#define PROPERTY_ID_CONTROLMODEL            78
#define PROPERTY_ID_RELATIVEPOSITION        79
#define PROPERTY_ID_ISASCENDING             80
#define PROPERTY_ID_RELATEDCOLUMN           81
#define PROPERTY_ID_ISUNIQUE                82
#define PROPERTY_ID_ISPRIMARYKEYINDEX       83
#define PROPERTY_ID_IGNORERESULT            84
#define PROPERTY_ID_DELETERULE              85
#define PROPERTY_ID_UPDATERULE              86
#define PROPERTY_ID_REFERENCEDTABLE         87
#define PROPERTY_ID_REFERENCEDCOLUMN        88
#define PROPERTY_ID_PARENTWINDOW            89
#define PROPERTY_ID_SQLEXCEPTION            90
#define PROPERTY_ID_ISHIDDEN                91
#define PROPERTY_ID_SUPPRESSVERSIONCL       92
#define PROPERTY_ID_LAYOUTINFORMATION       93
#define PROPERTY_ID_TEXTLINECOLOR           94
#define PROPERTY_ID_TEXTEMPHASIS            95
#define PROPERTY_ID_TEXTRELIEF              96
#define PROPERTY_ID_HELPTEXT                97
#define PROPERTY_ID_CONTROLDEFAULT          98
#define PROPERTY_ID_AUTOINCREMENTCREATION   99
#define PROPERTY_ID_SPECIAL_OPTIONS         100
#define PROPERTY_ID_FONTCHARWIDTH           101
#define PROPERTY_ID_FONTCHARSET             102
#define PROPERTY_ID_FONTFAMILY              103
#define PROPERTY_ID_FONTHEIGHT              104
#define PROPERTY_ID_FONTKERNING             105
#define PROPERTY_ID_FONTNAME                106
#define PROPERTY_ID_FONTORIENTATION         107
#define PROPERTY_ID_FONTPITCH               108
#define PROPERTY_ID_FONTSLANT               109
#define PROPERTY_ID_FONTSTRIKEOUT           110
#define PROPERTY_ID_FONTSTYLENAME           111
#define PROPERTY_ID_FONTUNDERLINE           112
#define PROPERTY_ID_FONTWEIGHT              113
#define PROPERTY_ID_FONTWIDTH               114
#define PROPERTY_ID_FONTWORDLINEMODE        115
#define PROPERTY_ID_FONTTYPE                116
#define PROPERTY_ID_PERSISTENT_NAME         117
#define PROPERTY_ID_ORIGINAL                118
#define PROPERTY_ID_TABSTOP                 119
#define PROPERTY_ID_DEFAULTCONTROL          120
#define PROPERTY_ID_ENABLED                 121
#define PROPERTY_ID_BORDER                  122
#define PROPERTY_ID_COLUMN                  123
#define PROPERTY_ID_AS_TEMPLATE             124
#define PROPERTY_ID_IS_FORM                 125
#define PROPERTY_ID_HAVING_CLAUSE           126
#define PROPERTY_ID_GROUP_BY                127
#define PROPERTY_ID_EDIT_WIDTH              128
#define PROPERTY_ID_SETTINGS                129
#define PROPERTY_ID_CONNECTION_RESOURCE     130
#define PROPERTY_ID_RESULT_SET              131
#define PROPERTY_ID_SELECTION               132
#define PROPERTY_ID_BOOKMARK_SELECTION      133
#define PROPERTY_ID_COLUMN_NAME             134
#define PROPERTY_ID_CONNECTION_INFO         135
#define PROPERTY_ID_HEADER_LINE             136
#define PROPERTY_ID_FIELD_DELIMITER         137
#define PROPERTY_ID_STRING_DELIMITER        138
#define PROPERTY_ID_DECIMAL_DELIMITER       139
#define PROPERTY_ID_THOUSAND_DELIMITER      140
#define PROPERTY_ID_ENCODING                141
#define PROPERTY_ID_HELP_URL                142
#define PROPERTY_ID_PERSISTENT_PATH         143
#define PROPERTY_ID_CURRENT_QUERY_DESIGN    144
#define PROPERTY_ID_SINGLESELECTQUERYCOMPOSER   145
#define PROPERTY_ID_PROPCHANGE_NOTIFY       146
#define PROPERTY_ID_AUTOGROW                147

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
