/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#ifndef INCLUDED_SVX_SDR_PRIMITIVE2D_SVX_PRIMITIVETYPES2D_HXX
#define INCLUDED_SVX_SDR_PRIMITIVE2D_SVX_PRIMITIVETYPES2D_HXX

#include <drawinglayer/primitive2d/drawinglayer_primitivetypes2d.hxx>


#define PRIMITIVE2D_ID_SDRCAPTIONPRIMITIVE2D            (PRIMITIVE2D_ID_RANGE_SVX| 0)
#define PRIMITIVE2D_ID_SDRCONNECTORPRIMITIVE2D          (PRIMITIVE2D_ID_RANGE_SVX| 1)
#define PRIMITIVE2D_ID_SDRCUSTOMSHAPEPRIMITIVE2D        (PRIMITIVE2D_ID_RANGE_SVX| 2)
#define PRIMITIVE2D_ID_SDRELLIPSEPRIMITIVE2D            (PRIMITIVE2D_ID_RANGE_SVX| 3)
#define PRIMITIVE2D_ID_SDRELLIPSESEGMENTPRIMITIVE2D     (PRIMITIVE2D_ID_RANGE_SVX| 4)
#define PRIMITIVE2D_ID_SDRGRAFPRIMITIVE2D               (PRIMITIVE2D_ID_RANGE_SVX| 5)
#define PRIMITIVE2D_ID_SDRMEASUREPRIMITIVE2D            (PRIMITIVE2D_ID_RANGE_SVX| 6)
#define PRIMITIVE2D_ID_SDROLE2PRIMITIVE2D               (PRIMITIVE2D_ID_RANGE_SVX| 7)
#define PRIMITIVE2D_ID_SDRPATHPRIMITIVE2D               (PRIMITIVE2D_ID_RANGE_SVX| 8)
#define PRIMITIVE2D_ID_SDRRECTANGLEPRIMITIVE2D          (PRIMITIVE2D_ID_RANGE_SVX| 9)
#define PRIMITIVE2D_ID_SDRCONTOURTEXTPRIMITIVE2D        (PRIMITIVE2D_ID_RANGE_SVX| 10)
#define PRIMITIVE2D_ID_SDRPATHTEXTPRIMITIVE2D           (PRIMITIVE2D_ID_RANGE_SVX| 11)
#define PRIMITIVE2D_ID_SDRBLOCKTEXTPRIMITIVE2D          (PRIMITIVE2D_ID_RANGE_SVX| 12)
#define PRIMITIVE2D_ID_SDRSTRETCHTEXTPRIMITIVE2D        (PRIMITIVE2D_ID_RANGE_SVX| 13)
#define PRIMITIVE2D_ID_SDRCELLPRIMITIVE2D               (PRIMITIVE2D_ID_RANGE_SVX| 14)
#define PRIMITIVE2D_ID_OVERLAYBITMAPEXPRIMITIVE         (PRIMITIVE2D_ID_RANGE_SVX| 15)
#define PRIMITIVE2D_ID_OVERLAYCROSSHAIRPRIMITIVE        (PRIMITIVE2D_ID_RANGE_SVX| 16)
#define PRIMITIVE2D_ID_OVERLAYRECTANGLEPRIMITIVE        (PRIMITIVE2D_ID_RANGE_SVX| 17)
#define PRIMITIVE2D_ID_OVERLAYHELPLINESTRIPEDPRIMITIVE  (PRIMITIVE2D_ID_RANGE_SVX| 18)
#define PRIMITIVE2D_ID_OVERLAYROLLINGRECTANGLEPRIMITIVE (PRIMITIVE2D_ID_RANGE_SVX| 19)
#define PRIMITIVE2D_ID_SDRCONTROLPRIMITIVE2D            (PRIMITIVE2D_ID_RANGE_SVX| 20)
#define PRIMITIVE2D_ID_SDROLECONTENTPRIMITIVE2D         (PRIMITIVE2D_ID_RANGE_SVX| 21)
#define PRIMITIVE2D_ID_SDRAUTOFITTEXTPRIMITIVE2D        (PRIMITIVE2D_ID_RANGE_SVX| 22)
#define PRIMITIVE2D_ID_SDRCHAINEDTEXTPRIMITIVE2D        (PRIMITIVE2D_ID_RANGE_SVX| 23)
#define PRIMITIVE2D_ID_SDRFRAMEBORDERTPRIMITIVE2D       (PRIMITIVE2D_ID_RANGE_SVX| 24)
#define PRIMITIVE2D_ID_OVERLAYDIAGRAMPRIMITIVE2D        (PRIMITIVE2D_ID_RANGE_SVX| 25)
#define PRIMITIVE2D_ID_SLIDEBACKGROUNDFILLPRIMITIVE2D   (PRIMITIVE2D_ID_RANGE_SVX| 26)


#endif // INCLUDED_SVX_SDR_PRIMITIVE2D_SVX_PRIMITIVETYPES2D_HXX

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
