/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */
#ifndef INCLUDED_SW_INC_COMCORE_HXX
#define INCLUDED_SW_INC_COMCORE_HXX

// defines for the Autoformat Redline Comments
// see sw/inc/utlui.hrc
#define STR_AUTOFMTREDL_DEL_EMPTY_PARA          0
#define STR_AUTOFMTREDL_USE_REPLACE             1
#define STR_AUTOFMTREDL_CPTL_STT_WORD           2
#define STR_AUTOFMTREDL_CPTL_STT_SENT           3
#define STR_AUTOFMTREDL_TYPO                    4
#define STR_AUTOFMTREDL_USER_STYLE              5
#define STR_AUTOFMTREDL_BULLET                  6
#define STR_AUTOFMTREDL_UNDER                   7
#define STR_AUTOFMTREDL_BOLD                    8
#define STR_AUTOFMTREDL_FRACTION                9
#define STR_AUTOFMTREDL_DETECT_URL              10
#define STR_AUTOFMTREDL_DASH                    11
#define STR_AUTOFMTREDL_ORDINAL                 12
#define STR_AUTOFMTREDL_RIGHT_MARGIN            13
#define STR_AUTOFMTREDL_SET_TMPL_TEXT           14
#define STR_AUTOFMTREDL_SET_TMPL_INDENT         15
#define STR_AUTOFMTREDL_SET_TMPL_NEG_INDENT     16
#define STR_AUTOFMTREDL_SET_TMPL_TEXT_INDENT    17
#define STR_AUTOFMTREDL_SET_TMPL_HEADLINE       18
#define STR_AUTOFMTREDL_SET_NUMBER_BULLET       19
#define STR_AUTOFMTREDL_DEL_MORELINES           20
#define STR_AUTOFMTREDL_NON_BREAK_SPACE         21
#define STR_AUTOFMTREDL_TRANSLITERATE_RTL       22
#define STR_AUTOFMTREDL_DETECT_DOI              23
#define STR_AUTOFMTREDL_ITALIC                  24
#define STR_AUTOFMTREDL_STRIKETHROUGH           25
// !!!!!!!!!!!!!!!!!!!!!!!!!!  always set the correct end !!!!!!!!!!!!
#define STR_AUTOFMTREDL_END                     26

#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
