#ifndef INCLUDED_OFFICECFG_OFFICE_ADDONS_HXX
#define INCLUDED_OFFICECFG_OFFICE_ADDONS_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Addons {

struct AddonUI: public comphelper::ConfigurationGroup< AddonUI> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI"); return PATH; }

struct AddonMenu: public comphelper::ConfigurationSet< AddonMenu> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/AddonMenu"); return PATH; }
private:
    AddonMenu(); // not defined
    ~AddonMenu(); // not defined
};

struct Images: public comphelper::ConfigurationSet< Images> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/Images"); return PATH; }
private:
    Images(); // not defined
    ~Images(); // not defined
};

struct OfficeMenuBar: public comphelper::ConfigurationSet< OfficeMenuBar> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/OfficeMenuBar"); return PATH; }
private:
    OfficeMenuBar(); // not defined
    ~OfficeMenuBar(); // not defined
};

struct OfficeMenuBarMerging: public comphelper::ConfigurationSet< OfficeMenuBarMerging> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/OfficeMenuBarMerging"); return PATH; }
private:
    OfficeMenuBarMerging(); // not defined
    ~OfficeMenuBarMerging(); // not defined
};

struct OfficeToolBar: public comphelper::ConfigurationSet< OfficeToolBar> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/OfficeToolBar"); return PATH; }
private:
    OfficeToolBar(); // not defined
    ~OfficeToolBar(); // not defined
};

struct OfficeToolbarMerging: public comphelper::ConfigurationSet< OfficeToolbarMerging> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/OfficeToolbarMerging"); return PATH; }
private:
    OfficeToolbarMerging(); // not defined
    ~OfficeToolbarMerging(); // not defined
};

struct OfficeStatusbarMerging: public comphelper::ConfigurationSet< OfficeStatusbarMerging> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/OfficeStatusbarMerging"); return PATH; }
private:
    OfficeStatusbarMerging(); // not defined
    ~OfficeStatusbarMerging(); // not defined
};

struct OfficeHelp: public comphelper::ConfigurationSet< OfficeHelp> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/OfficeHelp"); return PATH; }
private:
    OfficeHelp(); // not defined
    ~OfficeHelp(); // not defined
};

struct OfficeNotebookBar: public comphelper::ConfigurationSet< OfficeNotebookBar> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/OfficeNotebookBar"); return PATH; }
private:
    OfficeNotebookBar(); // not defined
    ~OfficeNotebookBar(); // not defined
};

struct OfficeNotebookBarMerging: public comphelper::ConfigurationSet< OfficeNotebookBarMerging> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Addons/AddonUI/OfficeNotebookBarMerging"); return PATH; }
private:
    OfficeNotebookBarMerging(); // not defined
    ~OfficeNotebookBarMerging(); // not defined
};

private:
    AddonUI(); // not defined
    ~AddonUI(); // not defined
};

} } }

#endif
