#ifndef INCLUDED_OFFICECFG_OFFICE_JAVA_HXX
#define INCLUDED_OFFICECFG_OFFICE_JAVA_HXX

#include "sal/config.h"

#include <optional>
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Java {

struct VirtualMachine: public comphelper::ConfigurationGroup< VirtualMachine> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Java/VirtualMachine"); return PATH; }

struct Security: public comphelper::ConfigurationProperty<Security, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Java/VirtualMachine/Security"); return PATH; }
private:
    Security(); // not defined
    ~Security(); // not defined
};

struct NetAccess: public comphelper::ConfigurationProperty<NetAccess, std::optional<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Java/VirtualMachine/NetAccess"); return PATH; }
private:
    NetAccess(); // not defined
    ~NetAccess(); // not defined
};

struct RunUnoComponentsOutOfProcess: public comphelper::ConfigurationProperty<RunUnoComponentsOutOfProcess, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Java/VirtualMachine/RunUnoComponentsOutOfProcess"); return PATH; }
private:
    RunUnoComponentsOutOfProcess(); // not defined
    ~RunUnoComponentsOutOfProcess(); // not defined
};

private:
    VirtualMachine(); // not defined
    ~VirtualMachine(); // not defined
};

} } }

#endif
