#ifndef INCLUDED_OFFICECFG_OFFICE_PRESENTATIONMINIMIZER_HXX
#define INCLUDED_OFFICECFG_OFFICE_PRESENTATIONMINIMIZER_HXX

#include "sal/config.h"

#include <optional>
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace PresentationMinimizer {

struct Strings: public comphelper::ConfigurationGroup< Strings> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings"); return PATH; }

struct STR_SUN_OPTIMIZATION_WIZARD2: public comphelper::ConfigurationLocalizedProperty<STR_SUN_OPTIMIZATION_WIZARD2, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_SUN_OPTIMIZATION_WIZARD2"); return PATH; }
private:
    STR_SUN_OPTIMIZATION_WIZARD2(); // not defined
    ~STR_SUN_OPTIMIZATION_WIZARD2(); // not defined
};

struct STR_INTRODUCTION: public comphelper::ConfigurationLocalizedProperty<STR_INTRODUCTION, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_INTRODUCTION"); return PATH; }
private:
    STR_INTRODUCTION(); // not defined
    ~STR_INTRODUCTION(); // not defined
};

struct STR_IMAGE_OPTIMIZATION: public comphelper::ConfigurationLocalizedProperty<STR_IMAGE_OPTIMIZATION, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_IMAGE_OPTIMIZATION"); return PATH; }
private:
    STR_IMAGE_OPTIMIZATION(); // not defined
    ~STR_IMAGE_OPTIMIZATION(); // not defined
};

struct STR_OLE_OBJECTS: public comphelper::ConfigurationLocalizedProperty<STR_OLE_OBJECTS, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_OLE_OBJECTS"); return PATH; }
private:
    STR_OLE_OBJECTS(); // not defined
    ~STR_OLE_OBJECTS(); // not defined
};

struct STR_OLE_OBJECTS_DESC: public comphelper::ConfigurationLocalizedProperty<STR_OLE_OBJECTS_DESC, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_OLE_OBJECTS_DESC"); return PATH; }
private:
    STR_OLE_OBJECTS_DESC(); // not defined
    ~STR_OLE_OBJECTS_DESC(); // not defined
};

struct STR_NO_OLE_OBJECTS_DESC: public comphelper::ConfigurationLocalizedProperty<STR_NO_OLE_OBJECTS_DESC, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_NO_OLE_OBJECTS_DESC"); return PATH; }
private:
    STR_NO_OLE_OBJECTS_DESC(); // not defined
    ~STR_NO_OLE_OBJECTS_DESC(); // not defined
};

struct STR_SLIDES: public comphelper::ConfigurationLocalizedProperty<STR_SLIDES, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_SLIDES"); return PATH; }
private:
    STR_SLIDES(); // not defined
    ~STR_SLIDES(); // not defined
};

struct STR_SUMMARY: public comphelper::ConfigurationLocalizedProperty<STR_SUMMARY, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_SUMMARY"); return PATH; }
private:
    STR_SUMMARY(); // not defined
    ~STR_SUMMARY(); // not defined
};

struct STR_DELETE_SLIDES: public comphelper::ConfigurationLocalizedProperty<STR_DELETE_SLIDES, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_DELETE_SLIDES"); return PATH; }
private:
    STR_DELETE_SLIDES(); // not defined
    ~STR_DELETE_SLIDES(); // not defined
};

struct STR_OPTIMIZE_IMAGES: public comphelper::ConfigurationLocalizedProperty<STR_OPTIMIZE_IMAGES, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_OPTIMIZE_IMAGES"); return PATH; }
private:
    STR_OPTIMIZE_IMAGES(); // not defined
    ~STR_OPTIMIZE_IMAGES(); // not defined
};

struct STR_CREATE_REPLACEMENT: public comphelper::ConfigurationLocalizedProperty<STR_CREATE_REPLACEMENT, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_CREATE_REPLACEMENT"); return PATH; }
private:
    STR_CREATE_REPLACEMENT(); // not defined
    ~STR_CREATE_REPLACEMENT(); // not defined
};

struct MY_SETTINGS: public comphelper::ConfigurationLocalizedProperty<MY_SETTINGS, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/MY_SETTINGS"); return PATH; }
private:
    MY_SETTINGS(); // not defined
    ~MY_SETTINGS(); // not defined
};

struct STR_OK: public comphelper::ConfigurationLocalizedProperty<STR_OK, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_OK"); return PATH; }
private:
    STR_OK(); // not defined
    ~STR_OK(); // not defined
};

struct STR_INFO_PRIMARY: public comphelper::ConfigurationLocalizedProperty<STR_INFO_PRIMARY, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_INFO_PRIMARY"); return PATH; }
private:
    STR_INFO_PRIMARY(); // not defined
    ~STR_INFO_PRIMARY(); // not defined
};

struct STR_INFO_SECONDARY_1: public comphelper::ConfigurationLocalizedProperty<STR_INFO_SECONDARY_1, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_INFO_SECONDARY_1"); return PATH; }
private:
    STR_INFO_SECONDARY_1(); // not defined
    ~STR_INFO_SECONDARY_1(); // not defined
};

struct STR_INFO_SECONDARY_2: public comphelper::ConfigurationLocalizedProperty<STR_INFO_SECONDARY_2, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_INFO_SECONDARY_2"); return PATH; }
private:
    STR_INFO_SECONDARY_2(); // not defined
    ~STR_INFO_SECONDARY_2(); // not defined
};

struct STR_INFO_SECONDARY_3: public comphelper::ConfigurationLocalizedProperty<STR_INFO_SECONDARY_3, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_INFO_SECONDARY_3"); return PATH; }
private:
    STR_INFO_SECONDARY_3(); // not defined
    ~STR_INFO_SECONDARY_3(); // not defined
};

struct STR_INFO_SECONDARY_4: public comphelper::ConfigurationLocalizedProperty<STR_INFO_SECONDARY_4, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_INFO_SECONDARY_4"); return PATH; }
private:
    STR_INFO_SECONDARY_4(); // not defined
    ~STR_INFO_SECONDARY_4(); // not defined
};

struct STR_DUPLICATING_PRESENTATION: public comphelper::ConfigurationLocalizedProperty<STR_DUPLICATING_PRESENTATION, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_DUPLICATING_PRESENTATION"); return PATH; }
private:
    STR_DUPLICATING_PRESENTATION(); // not defined
    ~STR_DUPLICATING_PRESENTATION(); // not defined
};

struct STR_DELETING_SLIDES: public comphelper::ConfigurationLocalizedProperty<STR_DELETING_SLIDES, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_DELETING_SLIDES"); return PATH; }
private:
    STR_DELETING_SLIDES(); // not defined
    ~STR_DELETING_SLIDES(); // not defined
};

struct STR_OPTIMIZING_GRAPHICS: public comphelper::ConfigurationLocalizedProperty<STR_OPTIMIZING_GRAPHICS, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_OPTIMIZING_GRAPHICS"); return PATH; }
private:
    STR_OPTIMIZING_GRAPHICS(); // not defined
    ~STR_OPTIMIZING_GRAPHICS(); // not defined
};

struct STR_CREATING_OLE_REPLACEMENTS: public comphelper::ConfigurationLocalizedProperty<STR_CREATING_OLE_REPLACEMENTS, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_CREATING_OLE_REPLACEMENTS"); return PATH; }
private:
    STR_CREATING_OLE_REPLACEMENTS(); // not defined
    ~STR_CREATING_OLE_REPLACEMENTS(); // not defined
};

struct STR_FILESIZESEPARATOR: public comphelper::ConfigurationLocalizedProperty<STR_FILESIZESEPARATOR, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_FILESIZESEPARATOR"); return PATH; }
private:
    STR_FILESIZESEPARATOR(); // not defined
    ~STR_FILESIZESEPARATOR(); // not defined
};

struct STR_FILENAME_SUFFIX: public comphelper::ConfigurationLocalizedProperty<STR_FILENAME_SUFFIX, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_FILENAME_SUFFIX"); return PATH; }
private:
    STR_FILENAME_SUFFIX(); // not defined
    ~STR_FILENAME_SUFFIX(); // not defined
};

struct STR_WARN_UNSAVED_PRESENTATION: public comphelper::ConfigurationLocalizedProperty<STR_WARN_UNSAVED_PRESENTATION, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Strings/STR_WARN_UNSAVED_PRESENTATION"); return PATH; }
private:
    STR_WARN_UNSAVED_PRESENTATION(); // not defined
    ~STR_WARN_UNSAVED_PRESENTATION(); // not defined
};

private:
    Strings(); // not defined
    ~Strings(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Settings"); return PATH; }

struct Templates: public comphelper::ConfigurationSet< Templates> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.PresentationMinimizer/Settings/Templates"); return PATH; }
private:
    Templates(); // not defined
    ~Templates(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

} } }

#endif
