#ifndef INCLUDED_OFFICECFG_OFFICE_REPORTDESIGN_HXX
#define INCLUDED_OFFICECFG_OFFICE_REPORTDESIGN_HXX

#include "sal/config.h"

#include <optional>
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace ReportDesign {

struct PropertyBrowser: public comphelper::ConfigurationGroup< PropertyBrowser> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ReportDesign/PropertyBrowser"); return PATH; }

struct DirectHelp: public comphelper::ConfigurationProperty<DirectHelp, std::optional<bool> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ReportDesign/PropertyBrowser/DirectHelp"); return PATH; }
private:
    DirectHelp(); // not defined
    ~DirectHelp(); // not defined
};

private:
    PropertyBrowser(); // not defined
    ~PropertyBrowser(); // not defined
};

struct Extension: public comphelper::ConfigurationGroup< Extension> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ReportDesign/Extension"); return PATH; }

struct Name: public comphelper::ConfigurationProperty<Name, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ReportDesign/Extension/Name"); return PATH; }
private:
    Name(); // not defined
    ~Name(); // not defined
};

private:
    Extension(); // not defined
    ~Extension(); // not defined
};

} } }

#endif
