#ifndef INCLUDED_OFFICECFG_OFFICE_TYPEDETECTION_HXX
#define INCLUDED_OFFICECFG_OFFICE_TYPEDETECTION_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace TypeDetection {

struct Types: public comphelper::ConfigurationSet< Types> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.TypeDetection/Types"); return PATH; }
private:
    Types(); // not defined
    ~Types(); // not defined
};

struct Filters: public comphelper::ConfigurationSet< Filters> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.TypeDetection/Filters"); return PATH; }
private:
    Filters(); // not defined
    ~Filters(); // not defined
};

struct DetectServices: public comphelper::ConfigurationSet< DetectServices> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.TypeDetection/DetectServices"); return PATH; }
private:
    DetectServices(); // not defined
    ~DetectServices(); // not defined
};

struct ContentHandlers: public comphelper::ConfigurationSet< ContentHandlers> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.TypeDetection/ContentHandlers"); return PATH; }
private:
    ContentHandlers(); // not defined
    ~ContentHandlers(); // not defined
};

struct FrameLoaders: public comphelper::ConfigurationSet< FrameLoaders> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.TypeDetection/FrameLoaders"); return PATH; }
private:
    FrameLoaders(); // not defined
    ~FrameLoaders(); // not defined
};

struct Defaults: public comphelper::ConfigurationGroup< Defaults> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.TypeDetection/Defaults"); return PATH; }

struct FrameLoader: public comphelper::ConfigurationProperty<FrameLoader, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.TypeDetection/Defaults/FrameLoader"); return PATH; }
private:
    FrameLoader(); // not defined
    ~FrameLoader(); // not defined
};

struct ShowAlienFilterWarning: public comphelper::ConfigurationProperty<ShowAlienFilterWarning, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.TypeDetection/Defaults/ShowAlienFilterWarning"); return PATH; }
private:
    ShowAlienFilterWarning(); // not defined
    ~ShowAlienFilterWarning(); // not defined
};

private:
    Defaults(); // not defined
    ~Defaults(); // not defined
};

} } }

#endif
