#ifndef INCLUDED_OFFICECFG_USERPROFILE_HXX
#define INCLUDED_OFFICECFG_USERPROFILE_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace UserProfile {

struct Data: public comphelper::ConfigurationGroup< Data> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data"); return PATH; }

struct o: public comphelper::ConfigurationProperty<o, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/o"); return PATH; }
private:
    o(); // not defined
    ~o(); // not defined
};

struct givenname: public comphelper::ConfigurationProperty<givenname, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/givenname"); return PATH; }
private:
    givenname(); // not defined
    ~givenname(); // not defined
};

struct sn: public comphelper::ConfigurationProperty<sn, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/sn"); return PATH; }
private:
    sn(); // not defined
    ~sn(); // not defined
};

struct initials: public comphelper::ConfigurationProperty<initials, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/initials"); return PATH; }
private:
    initials(); // not defined
    ~initials(); // not defined
};

struct street: public comphelper::ConfigurationProperty<street, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/street"); return PATH; }
private:
    street(); // not defined
    ~street(); // not defined
};

struct l: public comphelper::ConfigurationProperty<l, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/l"); return PATH; }
private:
    l(); // not defined
    ~l(); // not defined
};

struct st: public comphelper::ConfigurationProperty<st, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/st"); return PATH; }
private:
    st(); // not defined
    ~st(); // not defined
};

struct postalcode: public comphelper::ConfigurationProperty<postalcode, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/postalcode"); return PATH; }
private:
    postalcode(); // not defined
    ~postalcode(); // not defined
};

struct c: public comphelper::ConfigurationProperty<c, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/c"); return PATH; }
private:
    c(); // not defined
    ~c(); // not defined
};

struct title: public comphelper::ConfigurationProperty<title, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/title"); return PATH; }
private:
    title(); // not defined
    ~title(); // not defined
};

struct position: public comphelper::ConfigurationProperty<position, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/position"); return PATH; }
private:
    position(); // not defined
    ~position(); // not defined
};

struct homephone: public comphelper::ConfigurationProperty<homephone, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/homephone"); return PATH; }
private:
    homephone(); // not defined
    ~homephone(); // not defined
};

struct telephonenumber: public comphelper::ConfigurationProperty<telephonenumber, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/telephonenumber"); return PATH; }
private:
    telephonenumber(); // not defined
    ~telephonenumber(); // not defined
};

struct facsimiletelephonenumber: public comphelper::ConfigurationProperty<facsimiletelephonenumber, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/facsimiletelephonenumber"); return PATH; }
private:
    facsimiletelephonenumber(); // not defined
    ~facsimiletelephonenumber(); // not defined
};

struct mail: public comphelper::ConfigurationProperty<mail, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/mail"); return PATH; }
private:
    mail(); // not defined
    ~mail(); // not defined
};

struct UserGroup: public comphelper::ConfigurationProperty<UserGroup, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/UserGroup"); return PATH; }
private:
    UserGroup(); // not defined
    ~UserGroup(); // not defined
};

struct fathersname: public comphelper::ConfigurationProperty<fathersname, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/fathersname"); return PATH; }
private:
    fathersname(); // not defined
    ~fathersname(); // not defined
};

struct apartment: public comphelper::ConfigurationProperty<apartment, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/apartment"); return PATH; }
private:
    apartment(); // not defined
    ~apartment(); // not defined
};

struct signingkey: public comphelper::ConfigurationProperty<signingkey, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/signingkey"); return PATH; }
private:
    signingkey(); // not defined
    ~signingkey(); // not defined
};

struct encryptionkey: public comphelper::ConfigurationProperty<encryptionkey, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/encryptionkey"); return PATH; }
private:
    encryptionkey(); // not defined
    ~encryptionkey(); // not defined
};

struct encrypttoself: public comphelper::ConfigurationProperty<encrypttoself, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/Data/encrypttoself"); return PATH; }
private:
    encrypttoself(); // not defined
    ~encrypttoself(); // not defined
};

private:
    Data(); // not defined
    ~Data(); // not defined
};

struct WinUserInfo: public comphelper::ConfigurationGroup< WinUserInfo> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/WinUserInfo"); return PATH; }

struct Cache: public comphelper::ConfigurationProperty<Cache, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.UserProfile/WinUserInfo/Cache"); return PATH; }
private:
    Cache(); // not defined
    ~Cache(); // not defined
};

private:
    WinUserInfo(); // not defined
    ~WinUserInfo(); // not defined
};

} }

#endif
