/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/*
 * This file is part of the libfreehand project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#ifndef __FHCONSTANTS_H__
#define __FHCONSTANTS_H__

// VMpObj properties

#define FH_NAME 0x0321
#define FH_UID 0x065b
#define FH_PARA_TEXT_ALIGN 0x15e3
#define FH_PARA_TEXT_INDENT 0x1604
#define FH_PARA_LINE_TOGETHER 0x160b
#define FH_PARA_LEFT_INDENT 0x1614
#define FH_SPC_LETTER_MAX 0x161c
#define FH_SPC_WORD_MAX 0x1624
#define FH_SPC_LETTER_MIN 0x1634
#define FH_SPC_WORD_MIN 0x163c
#define FH_SPC_LETTER_OPT 0x164c
#define FH_SPC_WORD_OPT 0x1654
#define FH_PARA_RIGHT_INDENT 0x1664
#define FH_PARA_SPC_BELLOW 0x1684
#define FH_PARA_SPC_ABOVE 0x168c
#define FH_PARA_TAB_TABLE_ID 0x1691
#define FH_BASELN_SHIFT 0x169c
#define FH_PARA_KEEP_SAME_LINE 0x16a2
#define FH_TEFFECT_ID 0x16b1
#define FH_TXT_COLOR_ID 0x16b9
#define FH_FONT_ID 0x16c1
#define FH_HOR_SCALE 0x16d4
#define FH_PARA_LEADING 0x16dc
#define FH_PARA_LEADING_TYPE 0x16e3
#define FH_RNG_KERN 0x16ec
#define FH_FONT_SIZE 0x1734
#define FH_FONT_NAME 0x1739
#define FH_NEXT_STYLE 0x1749
#define FH_PAGE_START_X 0x1c24
#define FH_PAGE_START_Y 0x1c2c
#define FH_PAGE_START_X2 0x1c7c
#define FH_PAGE_START_Y2 0x1c84
#define FH_PAGE_WIDTH 0x1c34
#define FH_PAGE_HEIGHT 0x1c3c

// AGDFont properties

#define FH_AGD_FONT_NAME 0x0e11
#define FH_AGD_STYLE 0x0e1b
#define FH_AGD_SIZE 0x0e24

#define FH_DISLAY_BORDER 0x1302
#define FH_INSET_BOTTOM 0x130c
#define FH_DIMENSION_HEIGHT 0x131c
#define FH_ROWBREAK_FIRST 0x132a
#define FH_COL_SEPARATOR 0x1344
#define FH_DIMENSION_LEFT 0x134c
#define FH_INSET_LEFT 0x1354
#define FH_LINETABLE_ID 0x1369
#define FH_COL_NUM 0x137b
#define FH_ROW_NUM 0x1383
#define FH_INSET_RIGHT 0x13ac
#define FH_ROW_SEPARATOR 0x13bc
#define FH_TEXT_PATH_ID 0x13d1
#define FH_DIMENSION_TOP 0x13dc
#define FH_INSET_TOP 0x13e4
#define FH_TEXT_END_POS 0x13fb
#define FH_TEXT_BEGIN_POS 0x1403
#define FH_DIMENSION_WIDTH 0x140c

#define FH_EFFECT_NAME 0x1a91
#define FH_UNDERLINE_COLOR_ID 0x1ab9
#define FH_UNDERLINE_DASH_ID 0x1ac1
#define FH_UNDERLINE_POSITION 0x1acc
#define FH_STROKE_WIDTH 0x1ad4

// LensFill modes

#define FH_LENSFILL_MODE_TRANSPARENCY 0
#define FH_LENSFILL_MODE_MAGNIFY 1
#define FH_LENSFILL_MODE_LIGHTEN 2
#define FH_LENSFILL_MODE_DARKEN 3
#define FH_LENSFILL_MODE_INVERT 4
#define FH_LENSFILL_MODE_MONOCHROME 5

#endif //  __FHCONSTANTS_H__
/* vim:set shiftwidth=2 softtabstop=2 expandtab: */
